Package org.eclipse.microprofile.metrics.tck.metrics

## Class CountedMethodBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.CountedMethodBeanTest

    public class CountedMethodBeanTest
    extends Object

### Constructor Summary

Constructors
`CountedMethodBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callCountedMethodOnce()`
`void` `countedMethodNotCalledYet()`
`void` `instantiateTest()`
`void` `metricInjectionIntoTest​(Counter instance)`
`void` `removeCounterFromRegistry()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CountedMethodBeanTest

    public CountedMethodBeanTest()

### Method Detail

#### instantiateTest

    public void instantiateTest()

#### countedMethodNotCalledYet

    @InSequence(1)
    public void countedMethodNotCalledYet()

#### metricInjectionIntoTest

    @InSequence(2)
    public void metricInjectionIntoTest​(Counter instance)

#### callCountedMethodOnce

    @InSequence(3)
    public void callCountedMethodOnce()
                               throws InterruptedException,
                                      TimeoutException

Throws:
  `InterruptedException`
  `TimeoutException`

#### removeCounterFromRegistry

    @InSequence(4)
    public void removeCounterFromRegistry()